Subject: [bug#61246] [PATCH] gnu: libgit2: Update to 1.5.1.

From: Simon Tournier <[email-masked]>
Date: Wed, 08 Feb 2023 16:31:16 +0100

Hi,

On ven., 03 févr. 2023 at 00:11, André Batista <[email-masked]> wrote:

> (libgit2-1.1): Update to 1.1.1. Add back the snippet which comments
> out the "10 years ago" test that remains on this older version.

Naive question: Why do we need libgit2-1.1?

>From my understanding, it could be removed.  Well, I propose to split
this patch into three patches.

1.
* doc/guix.texi (Using a Custom Guix Channel): Add note and example
on how to exempt a local guix repository from git ownership checks.

2.
* gnu/packages/version-control.scm (libgit2-1.1): Remove varibale.

3.
* gnu/packages/version-control.scm (libgit2): Update to 1.5.1.
[source]: Remove snippet to comment out the "10 years ago" test, which
was removed on newer versions.
(libgit2-1.4): New variable. Update to 1.4.5.
(libgit2-1.3): Inherit from 'libgit2-1.4'. Update to 1.3.2.

WDYT?

Cheers,
simon